# Uses of Class
com.ngrok.definitions.SshUserCertificate

Packages that use SshUserCertificate
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of SshUserCertificate in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type SshUserCertificate
  Modifier and Type
  Method
  Description
  `List<SshUserCertificate>`
  SshUserCertificateList.`getSshUserCertificates()`
  the list of all ssh user certificates on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type SshUserCertificate
  Modifier
  Constructor
  Description
  ``
  `SshUserCertificateList(List<SshUserCertificate> sshUserCertificates, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `SshUserCertificateList`.

- ## Uses of SshUserCertificate in com.ngrok.services

  Methods in com.ngrok.services that return SshUserCertificate
  Modifier and Type
  Method
  Description
  `SshUserCertificate`
  SshUserCertificates.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshUserCertificate`
  SshUserCertificates.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshUserCertificate`
  SshUserCertificates.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type SshUserCertificate
  Modifier and Type
  Method
  Description
  `CompletionStage<SshUserCertificate>`
  SshUserCertificates.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshUserCertificate>`
  SshUserCertificates.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshUserCertificate>`
  SshUserCertificates.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.